- Qt 6.9
- Qt GUI
- C++ Classes
- PrimaryPoints
- Qt 6.9.1 Reference Documentation

# QColorSpace::PrimaryPoints Struct

struct QColorSpace::PrimaryPoints

The PrimaryPoints struct contains four primary color space points. More...

This struct was introduced in Qt 6.9.

- List of all members, including inherited members

## Public Functions

bool | isValid() const

## Static Public Members

QColorSpace::PrimaryPoints | fromPrimaries(QColorSpace::Primaries primaries)

## Detailed Description

The four CIE XY color space points describing the gamut of an RGB color space; red, green, blue, and white.

See also QColorSpace::Primaries.

## Member Function Documentation

### `[static]` QColorSpace::PrimaryPoints PrimaryPoints::fromPrimaries(QColorSpace::Primaries primaries)

Returns the four primary points making up primaries.

### `[noexcept]` bool PrimaryPoints::isValid() const

Returns `true` if the primary points passes the sanity check used by methods consuming QColorSpace::PrimaryPoints.